#include <algorithm>

#include "decider.h"

class simulator {
    decider* decider;
    double   start_money;
    unsigned start_stock;

    bool initialized;

public:
    double credit_ratio = 0.05;
    double max_credit   = 1e5;

    double   money, start_price;
    unsigned stock;

    simulator(class decider* decider, double money, unsigned stock);

    double proceed(double price);
    std::vector<double> proceed(std::vector<double> prices);
};
